### Virtual Method

# Gio SocketConnectable to_string

since: 2.48

#### Declaration

    gchar*
    to_string (
      GSocketConnectable* connectable
    )

#### Description

Format a `GSocketConnectable` as a string. This is a human-readable format for use in debugging output, and is not a stable serialization format. It is not suitable for use in user interfaces as it exposes too much information for a user.

If the `GSocketConnectable` implementation does not support string formatting, the implementation’s type name will be returned as a fallback.

Available since: 2.48

#### Return value

Type: `gchar*`

The formatted string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.